Problema na atualização da versão 2.0 para 2.1


#1

Ao executar o comando docker-compose build verifica-se o erro a seguir:

Step 25/34 : RUN php composer-setup.php --install-dir=/usr/local/bin --filename=composer
—> Running in 92605fa972be
Could not open input file: composer-setup.php
ERROR: Service ‘php’ failed to build: The command ‘/bin/sh -c php composer-setup.php --install-dir=/usr/local/bin --filename=composer’ returned a non-zero code: 1


#2

talvez te ajude


#3

Praticamente a mesma mensagem que recebo aqui oh.

Mas executando o comando “sudo docker-compose up -d --build” não conseguiu resolver p meu problema não oh. :anguished:


#4

Precisa editar esse arquivio

Substituir a linha php -r “if (hash_file(‘sha384’, ‘composer-setup.php’) === ‘48e3236262b34d30969dca3c37281b3b4bbe3221bda826ac6a9a62d6444cdb0dcd0615698a5cbe587c3f0fe57a54d8f5’) { echo ‘Installer verified’; } else { echo ‘Installer corrupt’; unlink(‘composer-setup.php’); } echo PHP_EOL;””

por

php -r “copy(‘https://getcomposer.org/installer’, ‘composer-setup.php’);”
php -r “if (hash_file(‘sha384’, ‘composer-setup.php’) === ‘48e3236262b34d30969dca3c37281b3b4bbe3221bda826ac6a9a62d6444cdb0dcd0615698a5cbe587c3f0fe57a54d8f5’) { echo ‘Installer verified’; } else { echo ‘Installer corrupt’; unlink(‘composer-setup.php’); } echo PHP_EOL;”